> ## Documentation Index
> Fetch the complete documentation index at: https://docs.synapsai.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# Start a model artifact upload

> Opens an upload session. The artifact must not already be ingesting or in use by a deployment.



## OpenAPI

````yaml /api-reference/model-artifacts.json post /v1/model-artifacts/{artifact_id}/uploads
openapi: 3.1.0
info:
  title: SynapsAI Model Artifacts API
  version: 1.0.0
servers:
  - url: https://api.synapsai.cloud
    description: Production server
security: []
paths:
  /v1/model-artifacts/{artifact_id}/uploads:
    post:
      summary: Start a model artifact upload
      description: >-
        Opens an upload session. The artifact must not already be ingesting or
        in use by a deployment.
      operationId: startModelArtifactUpload
      parameters:
        - name: artifact_id
          in: path
          required: true
          schema:
            type: string
      responses:
        '201':
          description: Upload session
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ArtifactUploadSession'
        '403':
          description: Storage quota exceeded
        '409':
          description: Ingest already in progress or artifact is in use
components:
  schemas:
    ArtifactUploadSession:
      type: object
      properties:
        message:
          type: string
        upload_id:
          type: string
        artifact:
          $ref: '#/components/schemas/ModelArtifact'
      required:
        - upload_id
    ModelArtifact:
      type: object
      additionalProperties: true
      properties:
        id:
          type: string
        display_name:
          type: string
        pipeline:
          type: string
        status:
          type: string
        size_gb:
          type: number
        created_at:
          type: string
        updated_at:
          type: string

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.